﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MenuToolLargeNumberOfItems
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new ViewModel();
        }
    }


    public class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            Items = GenerateItems(10000, 0, 9999);
        }

        private ObservableCollection<string> _items;

        public ObservableCollection<string> Items
        {
            get { return _items; }
            set
            {
                if (_items == null)
                    _items = new ObservableCollection<string>();


                _items = value;
                PropChanged("Items");
            }
        }


        public  ObservableCollection<string> GenerateItems(int points, int rangeStart, int rangeEnd)
        {
            ObservableCollection<string> data = new ObservableCollection<string>();
            Random r = new Random();
            for (int i = 0; i < points; i++)
            {
                data.Add("Item " +  i);
            }

            return data;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }	
}
